#include <iostream>

using namespace std;
#define ll long long





int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	ll n, k;
	cin >> n >> k;
	ll prvi = 0;
	ll broj;

	for (ll i = 0; i < n; i++)
	{
		cin >> broj;
		if (i == 0)
		{
			prvi = broj;
		}
		if (broj == k)
		{
			if (i == (n - 1))
			{
				cout << prvi;
				return 0;
			}
			else
			{
				cin >> broj;
				cout << broj;
				return 0;
			}
		}


	}


}